terraform {
  required_providers {
    libvirt = {
      source = "dmacvicar/libvirt"
      version = "0.7.6"
    }
  }
}

provider "libvirt" {
  uri = "qemu+ssh://vladan@10.4.4.201/system"
  # uri = "qemu:///system"
}

module "network" {
  source = "./network"
  domain = "hklbgd.org"
  subnet = ["10.117.3.0/24"]
}

module "storage" {
  source = "./storage"
}

module "kanidm_vm" {
  source                  = "./service-vm"
  domain_name             = "kanidm"
  domain_memory           = "4096"
  domain_vcpu             = 2
  domain_pool             = module.storage.pool
  domain_base_volume_id   = module.storage.base_volume_id
  domain_data_volume_size = 322122547200  # 300GB
  domain_ignition_path    = "../ignition/kanidm/service.ign"
  domain_network          = {
    network_id = module.network.id
    hostname = "id.${module.network.domain}"
    addresses = ["10.117.3.100"]
    mac_address = "8A:41:86:95:40:35"
  }
}

module "forgejo_vm" {
  source                  = "./service-vm"
  domain_name             = "forgejo"
  domain_memory           = "4096"
  domain_vcpu             = 2
  domain_pool             = module.storage.pool
  domain_base_volume_id   = module.storage.base_volume_id
  domain_data_volume_size = 322122547200  # 300GB
  domain_ignition_path    = "../ignition/forgejo/service.ign"
  domain_network          = {
    network_id = module.network.id
    hostname = "forge.${module.network.domain}"
    addresses = ["10.117.3.110"]
    mac_address = "8A:41:86:11:16:83"
  }
}
