terraform {
  required_providers {
    libvirt = {
      source = "dmacvicar/libvirt"
      version = "0.7.6"
    }
  }
}

resource "libvirt_network" "hklbgd" {
  name = "hklbgd-guests"

  mode = "nat"
  domain = var.domain
  autostart = true

  addresses = var.subnet

  dns {
    enabled = true
    local_only = true
  }
}

output "id" {
  value = libvirt_network.hklbgd.id
}

output "domain" {
  value = var.domain
}
