terraform {
  required_providers {
    libvirt = {
      source = "dmacvicar/libvirt"
      version = "0.7.6"
    }
  }
}

resource "libvirt_pool" "hklbgd" {
  name = "hklbgd-guests"
  type = "dir"
  path = "/var/lib/libvirt/guest_images"
}

resource "libvirt_volume" "fcos" {
  name   = "fedora-coreos-39.20240210.3.0-qemu.x86_64.qcow2"
  pool   = libvirt_pool.hklbgd.name
  format = "qcow2"
}

output "pool" {
  value = libvirt_pool.hklbgd.name
}

output "base_volume_id" {
  value = libvirt_volume.fcos.id
}
